type ConfigValue = any;
type Config = Record<string, ConfigValue>;
declare class TeenyConf {
    _configPath: string;
    _defaultConfig: Config;
    _conf: Config;
    constructor(configPath: string, defaultConfig?: Config);
    /**
     * Reload the configuration from file
     */
    reload(): void;
    /**
     * Save current config to its associated file
     * @param  {Boolean} [minify=false] minify the content of the file
     */
    save(minify?: boolean): void;
    /**
     * Get a key from conf
     * @param  {String} key
     * @param  {String} def default value to return if there is no key
     * @return {any}
     */
    get(): Config;
    get(key: string): ConfigValue;
    get(key: string, def: any): ConfigValue;
    /**
     * Set/add key/value pair
     * @param  {String} key key to be updated
     * @param  {any} value new key value
     */
    set(key: string, value: ConfigValue): void;
    /**
     * Delete a key from the configuration
     * @param  {String} key key to be deleted
     */
    delete(key: string): void;
    /**
     * Delete a key from the configuration
     */
    clear(): void;
    /**
     * Check if a key exists
     * @param  {String} key
     */
    has(key: string): boolean;
}
export default TeenyConf;
